var params

function main() {
    // APPID认证
    'use api/lib/userPassport.js'

    if (!payload.get().query.t) {
        return errMsg(507, '数据源不存在')
    }
    var tableId = payload.get().query.t

    let startTime = new Date().getTime()
    TABLE_INFO = getTableMeta(tableId)
    if (!TABLE_INFO) {
        return errMsg(507, '数据源不存在')
    }

    DB_NAME = TABLE_INFO.db_name
    TABLE_NAME = TABLE_INFO.table_name
    COLUMN_KEY = TABLE_INFO.pk_column
    ALLOW_PUBLIC_ACCESS = TABLE_INFO.is_public == 1

    // 验证用户权限
    'use api/user/acl/excerpt.js'

    TABLE_STRUCT = getTableStruct(tableId)

    // 格式化参数
    params = formatSingleParams()

    response.headers.add("Server-Timing", `Deserialization;dur=${new Date().getTime() - startTime}`)

    return base_curd();
}
